### Hierarchy

- IDataOutput

### Implemented by

- ByteArray
- Socket

## Index

### Properties

- endian
- objectEncoding

### Methods

- writeBoolean
- writeByte
- writeBytes
- writeDouble
- writeFloat
- writeInt
- writeMultiByte
- writeShort
- writeUTF
- writeUTFBytes
- writeUnsignedInt

## Properties

### endian

endian: Endian

- Defined in lib/openfl/utils/IDataOutput.d.ts:11

### objectEncoding

objectEncoding: number

- Defined in lib/openfl/utils/IDataOutput.d.ts:16

## Methods

### writeBoolean

- writeBoolean(value: boolean): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:18

  #### Parameters

  - ##### value: boolean

  #### Returns void

### writeByte

- writeByte(value: number): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:19

  #### Parameters

  - ##### value: number

  #### Returns void

### writeBytes

- writeBytes(bytes: ByteArray, offset?: number, length?: number): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:20

  #### Parameters

  - ##### bytes: ByteArray

  - ##### Optional offset: number

  - ##### Optional length: number

  #### Returns void

### writeDouble

- writeDouble(value: number): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:21

  #### Parameters

  - ##### value: number

  #### Returns void

### writeFloat

- writeFloat(value: number): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:22

  #### Parameters

  - ##### value: number

  #### Returns void

### writeInt

- writeInt(value: number): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:23

  #### Parameters

  - ##### value: number

  #### Returns void

### writeMultiByte

- writeMultiByte(value: string, charSet: string): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:24

  #### Parameters

  - ##### value: string

  - ##### charSet: string

  #### Returns void

### writeShort

- writeShort(value: number): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:30

  #### Parameters

  - ##### value: number

  #### Returns void

### writeUTF

- writeUTF(value: string): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:31

  #### Parameters

  - ##### value: string

  #### Returns void

### writeUTFBytes

- writeUTFBytes(value: string): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:32

  #### Parameters

  - ##### value: string

  #### Returns void

### writeUnsignedInt

- writeUnsignedInt(value: number): void

- - Defined in lib/openfl/utils/IDataOutput.d.ts:33

  #### Parameters

  - ##### value: number

  #### Returns void

Generated using TypeDoc